Subject: Re: bug#38878: 26.3; EBDB fails to mark role as defunct

From: Jorge P. de Morais Neto <[email-masked]>
Date: Mon, 13 Jan 2020 14:07:43 -0300

Em [2020-01-12 dom 12:54:52-0800], Eric Abrahamsen escreveu:

> Oh, I see -- you're right I was doing this on the wrong line.
> Actually if you edit a role field on an organization using a "little
> edit" (with "e"), EBDB does some fancy footwork in the background to
> actually edit the role field on the person record.  That didn't happen
> with the customize edit ("E") -- would you eval the following and
> confirm that it works correctly?
> [...]

Yes, according to my quick testing, your code fixes the bug.  I tested
by editing the role label of one person and marking as defunct the roles
of two other persons.  In every case, I edited by pressing "E" on the
person's role field of a person in the respective organization's record.

Thank you!

Regards
-- 
- <https://jorgemorais.gitlab.io/justice-for-rms/>
- I am Brazilian.  I hope my English is correct and I welcome feedback.
- Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
- Free/libre software for Replicant, LineageOS and Android: https://f-droid.org
- [[https://www.gnu.org/philosophy/free-sw.html][What is free software?]]